(function ($) {
  'use strict';

  /**
   * Adds dynamic custom item descriptions toggling.
   */
  Drupal.behaviors.opquast_checklistDisplayGoals = {
    attach: function (context) {
      var is_compact_mode = $('#checklistapi-checklist-form', context).hasClass('compact-mode');
      var text = is_compact_mode ? Drupal.t('Show goals') : Drupal.t('Hide goals');
      $('#checklistapi-checklist-form .compact-goals', context).html('<a href="#">' + text + '</a>');
      $('#checklistapi-checklist-form .compact-goals a', context).click(function () {
        $(this).closest('#checklistapi-checklist-form').toggleClass('compact-mode');
        var is_compact_mode = $(this).closest('#checklistapi-checklist-form').hasClass('compact-mode');
        $(this)
          .text(is_compact_mode ? Drupal.t('Show goals') : Drupal.t('Hide goals'))
          .attr('title', is_compact_mode ? Drupal.t('Expand layout to include goals.') : Drupal.t('Compress layout by hiding goals.'));
        $('.form-item__description', context).toggle();
        return false;
      });
    }
  };
})(jQuery);
