<?php

namespace Drupal\opquast_checklist\Service;

/**
 * Class OpquastService
 */
class OpquastService
{

  /**
   * Function detect current language and return base path of rules. If not exist return english language.
   *
   * @param string $path
   * @return string
   */
  public function getBasePath(string $path = ''): string
  {
    $basesPaths = [
      'fr' => 'fr/assurance-qualite-web',
      'en' => 'en/web-quality-assurance',
    ];
    $language = \Drupal::languageManager()->getCurrentLanguage()->getId();
    $base = $basesPaths['en'];
    if (in_array($language, array_keys($basesPaths))) {
      $base = $basesPaths[$language];
    }

    return "{$this->getApiEndPoint()}$base/$path";
  }

  /**
   * Function return licence path of opquast website.
   *
   * @return string
   */
  public function getLicencePath(): string
  {
    return "{$this->getBasePath('licence')}/";
  }


  /**
   * Function return endpoint url of opquast website.
   * @return string
   */
  public function getApiEndPoint(): string
  {
    return 'https://checklists.opquast.com/';
  }
}
